<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.generator.BusiGeneratorAmplTypeMapper">

	<select id="selectAmplTypeList" resultType="com.huatek.busi.vo.generator.BusiGeneratorAmplTypeVo">
		SELECT
		id AS amplType,
		ampl_desc AS amplDesc,
		main_type AS mainType
		FROM
		busi_generator_ampl_type
		WHERE del_flag = '0'
		<if test="params.equipmentType == '011'.toString()">
			AND main_type = '1'
		</if>
		<if test="params.equipmentType == '031'.toString()">
			AND main_type = '3'
		</if>
	</select>
</mapper>
